# See dos how to configure the bundle: https://symfony.com/doc/current/bundles/LiipImagineBundle/basic-usage.html
liip_imagine:
    # valid drivers options include "gd" or "gmagick" or "imagick"
    driver: "gd"

    # paramètre de chargement des fichiers d’origine
    resolvers:
        default:
            web_path:
                web_root: '%kernel.project_dir%/public'
                cache_prefix: 'media/cache'

    loaders:
        default:
            filesystem:
                data_root:
                    - '%kernel.project_dir%/public'
    cache: default
    data_loader: default
    default_image: null
    default_filter_set_settings:
        quality: 100
        jpeg_quality: ~
        png_compression_level: ~
        png_compression_filter: ~
        animated: false
        format: ~
        cache: ~
        data_loader: ~
        default_image: null
        filters: [ ]
        post_processors: [ ]
    controller:
        filter_action: liip_imagine.controller:filterAction
        filter_runtime_action: liip_imagine.controller:filterRuntimeAction
        redirect_response_code: 302
    webp:
        generate: false
        quality: 100
        cache: ~
        data_loader: ~
        post_processors: [ ]

    # define your filter sets under this option
    filter_sets:
        cache: ~
        filgran_filter:
            filters:
                watermark_image:
                    image: "%kernel.project_dir%/public/admin/img/logo.png"
                    size: 0.5
                    position: bottomright

        elfinder_thumbnail:
            data_loader: cmf_media_doctrine_phpcr
            quality: 85
            filters:
                thumbnail: { size: [48, 48], mode: inset }
        # an example thumbnail transformation definition
        # https://symfony.com/doc/current/bundles/LiipImagineBundle/basic-usage.html#create-thumbnails

        logo:
            # set your image quality defaults
            jpeg_quality:          100
            png_compression_level: 8
            # setup the filter steps to apply for this transformation
            filters:
                # auto rotate the image using EXIF metadata
                auto_rotate: ~
                # strip the image of all metadata
                strip: ~
                # scale and square the image to the given dimensions
                thumbnail:
                    size:          [200, 64]
                    mode:          outbound

        avatar:
            # set your image quality defaults
            jpeg_quality:          100
            png_compression_level: 8
            # setup the filter steps to apply for this transformation
            filters:
                # auto rotate the image using EXIF metadata
                auto_rotate: ~
                # strip the image of all metadata
                strip: ~
                # scale and square the image to the given dimensions
                thumbnail:
                    size:          [200, 200]
                    mode:          outbound

        large:
            # set your image quality defaults
            jpeg_quality:          100
            png_compression_level: 8
            # setup the filter steps to apply for this transformation
            filters:
                # auto rotate the image using EXIF metadata
                auto_rotate: ~
                # strip the image of all metadata
                strip: ~
                # scale and square the image to the given dimensions
                thumbnail:
                    size:          [1920, 1280]
                    mode:          outbound

        medium:
            # set your image quality defaults
            jpeg_quality:          100
            png_compression_level: 8
            # setup the filter steps to apply for this transformation
            filters:
                # auto rotate the image using EXIF metadata
                auto_rotate: ~
                # strip the image of all metadata
                strip: ~
                # scale and square the image to the given dimensions
                thumbnail:
                    size:          [1000, 600]
                    mode:          outbound

        thumbnail:
            # set your image quality defaults
            jpeg_quality:          100
            png_compression_level: 8
            # setup the filter steps to apply for this transformation
            filters:
                # auto rotate the image using EXIF metadata
                auto_rotate: ~
                # strip the image of all metadata
                strip: ~
                # scale and square the image to the given dimensions
                thumbnail:
                    size:          [360, 360]
                    mode:          outbound

        partenaire:
            # set your image quality defaults
            jpeg_quality:          100
            png_compression_level: 8
            # setup the filter steps to apply for this transformation
            filters:
                # auto rotate the image using EXIF metadata
                auto_rotate: ~
                # strip the image of all metadata
                strip: ~
                # scale and square the image to the given dimensions
                thumbnail:
                    size:          [270, 120]
                    mode:          outbound

        small:
            # set your image quality defaults
            jpeg_quality:          100
            png_compression_level: 8
            # setup the filter steps to apply for this transformation
            filters:
                # auto rotate the image using EXIF metadata
                auto_rotate: ~
                # strip the image of all metadata
                strip: ~
                # scale and square the image to the given dimensions
                thumbnail:
                    size:          [80, 80]
                    mode:          outbound

        admin_thumbnail:
            # set your image quality defaults
            jpeg_quality:          100
            png_compression_level: 8
            # setup the filter steps to apply for this transformation
            filters:
                # auto rotate the image using EXIF metadata
                auto_rotate: ~
                # strip the image of all metadata
                strip: ~
                # scale and square the image to the given dimensions
                thumbnail:
                    size:          [310, 207]
                    mode:          outbound

        mini:
            # set your image quality defaults
            jpeg_quality:          100
            png_compression_level: 8
            # setup the filter steps to apply for this transformation
            filters:
                # auto rotate the image using EXIF metadata
                auto_rotate: ~
                # strip the image of all metadata
                strip: ~
                # scale and square the image to the given dimensions
                thumbnail:
                    size:          [200, 200]
                    mode:          outbound

        cover:
            # set your image quality defaults
            jpeg_quality:          100
            png_compression_level: 8
            # setup the filter steps to apply for this transformation
            filters:
                # auto rotate the image using EXIF metadata
                auto_rotate: ~
                # strip the image of all metadata
                strip: ~
                # scale and square the image to the given dimensions
                thumbnail:
                    size:          [1920, 300]
                    mode:          outbound

        blog_thumb:
            # set your image quality defaults
            jpeg_quality:          100
            png_compression_level: 8
            # setup the filter steps to apply for this transformation
            filters:
                # auto rotate the image using EXIF metadata
                auto_rotate: ~
                # strip the image of all metadata
                strip: ~
                # scale and square the image to the given dimensions
                thumbnail:
                    size:          [263, 263]
                    mode:          outbound

        blog_medium:
            # set your image quality defaults
            jpeg_quality:          100
            png_compression_level: 8
            # setup the filter steps to apply for this transformation
            filters:
                # auto rotate the image using EXIF metadata
                auto_rotate: ~
                # strip the image of all metadata
                strip: ~
                # scale and square the image to the given dimensions
                thumbnail:
                    size:          [848, 565]
                    mode:          outbound

        mainsliders:
            # set your image quality defaults
            jpeg_quality:          100
            png_compression_level: 8
            # setup the filter steps to apply for this transformation
            filters:
                # auto rotate the image using EXIF metadata
                auto_rotate: ~
                # strip the image of all metadata
                strip: ~
                # scale and square the image to the given dimensions
                thumbnail:
                    size:          [1664, 638]
                    mode:          outbound

        publicites:
            # set your image quality defaults
            jpeg_quality:          100
            png_compression_level: 8
            # setup the filter steps to apply for this transformation
            filters:
                # auto rotate the image using EXIF metadata
                auto_rotate: ~
                # strip the image of all metadata
                strip: ~
                # scale and square the image to the given dimensions
                thumbnail:
                    size:          [877, 620]
                    mode:          outbound
        pub_home:
            # set your image quality defaults
            jpeg_quality:          100
            png_compression_level: 8
            # setup the filter steps to apply for this transformation
            filters:
                # auto rotate the image using EXIF metadata
                auto_rotate: ~
                # strip the image of all metadata
                strip: ~
                # scale and square the image to the given dimensions
                thumbnail:
                    size:          [700, 440]
                    mode:          outbound